## org.eclipse.emf.ecore.xml.type
Interface XMLTypePackage.Literals

Enclosing interface:
  XMLTypePackage

    public static interface XMLTypePackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EDataType` `ANY_SIMPLE_TYPE` The meta object literal for the 'Any Simple Type' data type
`static EClass` `ANY_TYPE` The meta object literal for the '`Any Type`' class
`static EAttribute` `ANY_TYPE__ANY` The meta object literal for the 'Any' attribute list feature
`static EAttribute` `ANY_TYPE__ANY_ATTRIBUTE` The meta object literal for the 'Any Attribute' attribute list feature
`static EAttribute` `ANY_TYPE__MIXED` The meta object literal for the 'Mixed' attribute list feature
`static EDataType` `ANY_URI` The meta object literal for the 'Any URI' data type
`static EDataType` `BASE64_BINARY` The meta object literal for the 'Base64 Binary' data type
`static EDataType` `BOOLEAN` The meta object literal for the 'Boolean' data type
`static EDataType` `BOOLEAN_OBJECT` The meta object literal for the 'Boolean Object' data type
`static EDataType` `BYTE` The meta object literal for the 'Byte' data type
`static EDataType` `BYTE_OBJECT` The meta object literal for the 'Byte Object' data type
`static EDataType` `DATE` The meta object literal for the 'Date' data type
`static EDataType` `DATE_TIME` The meta object literal for the 'Date Time' data type
`static EDataType` `DECIMAL` The meta object literal for the 'Decimal' data type
`static EDataType` `DOUBLE` The meta object literal for the 'Double' data type
`static EDataType` `DOUBLE_OBJECT` The meta object literal for the 'Double Object' data type
`static EDataType` `DURATION` The meta object literal for the 'Duration' data type
`static EDataType` `ENTITIES` The meta object literal for the 'ENTITIES' data type
`static EDataType` `ENTITIES_BASE` The meta object literal for the 'ENTITIES Base' data type
`static EDataType` `ENTITY` The meta object literal for the 'ENTITY' data type
`static EDataType` `FLOAT` The meta object literal for the 'Float' data type
`static EDataType` `FLOAT_OBJECT` The meta object literal for the 'Float Object' data type
`static EDataType` `GDAY` The meta object literal for the 'GDay' data type
`static EDataType` `GMONTH` The meta object literal for the 'GMonth' data type
`static EDataType` `GMONTH_DAY` The meta object literal for the 'GMonth Day' data type
`static EDataType` `GYEAR` The meta object literal for the 'GYear' data type
`static EDataType` `GYEAR_MONTH` The meta object literal for the 'GYear Month' data type
`static EDataType` `HEX_BINARY` The meta object literal for the 'Hex Binary' data type
`static EDataType` `ID` The meta object literal for the 'ID' data type
`static EDataType` `IDREF` The meta object literal for the 'IDREF' data type
`static EDataType` `IDREFS` The meta object literal for the 'IDREFS' data type
`static EDataType` `IDREFS_BASE` The meta object literal for the 'IDREFS Base' data type
`static EDataType` `INT` The meta object literal for the 'Int' data type
`static EDataType` `INT_OBJECT` The meta object literal for the 'Int Object' data type
`static EDataType` `INTEGER` The meta object literal for the 'Integer' data type
`static EDataType` `LANGUAGE` The meta object literal for the 'Language' data type
`static EDataType` `LONG` The meta object literal for the 'Long' data type
`static EDataType` `LONG_OBJECT` The meta object literal for the 'Long Object' data type
`static EDataType` `NAME` The meta object literal for the 'Name' data type
`static EDataType` `NC_NAME` The meta object literal for the 'NC Name' data type
`static EDataType` `NEGATIVE_INTEGER` The meta object literal for the 'Negative Integer' data type
`static EDataType` `NMTOKEN` The meta object literal for the 'NMTOKEN' data type
`static EDataType` `NMTOKENS` The meta object literal for the 'NMTOKENS' data type
`static EDataType` `NMTOKENS_BASE` The meta object literal for the 'NMTOKENS Base' data type
`static EDataType` `NON_NEGATIVE_INTEGER` The meta object literal for the 'Non Negative Integer' data type
`static EDataType` `NON_POSITIVE_INTEGER` The meta object literal for the 'Non Positive Integer' data type
`static EDataType` `NORMALIZED_STRING` The meta object literal for the 'Normalized String' data type
`static EDataType` `NOTATION` The meta object literal for the 'NOTATION' data type
`static EDataType` `POSITIVE_INTEGER` The meta object literal for the 'Positive Integer' data type
`static EClass` `PROCESSING_INSTRUCTION` The meta object literal for the '`Processing Instruction`' class
`static EAttribute` `PROCESSING_INSTRUCTION__DATA` The meta object literal for the 'Data' attribute feature
`static EAttribute` `PROCESSING_INSTRUCTION__TARGET` The meta object literal for the 'Target' attribute feature
`static EDataType` `QNAME` The meta object literal for the 'QName' data type
`static EDataType` `SHORT` The meta object literal for the 'Short' data type
`static EDataType` `SHORT_OBJECT` The meta object literal for the 'Short Object' data type
`static EClass` `SIMPLE_ANY_TYPE` The meta object literal for the '`Simple Any Type`' class
`static EReference` `SIMPLE_ANY_TYPE__INSTANCE_TYPE` The meta object literal for the 'Instance Type' reference feature
`static EAttribute` `SIMPLE_ANY_TYPE__RAW_VALUE` The meta object literal for the 'Raw Value' attribute feature
`static EAttribute` `SIMPLE_ANY_TYPE__VALUE` The meta object literal for the 'Value' attribute feature
`static EDataType` `STRING` The meta object literal for the 'String' data type
`static EDataType` `TIME` The meta object literal for the 'Time' data type
`static EDataType` `TOKEN` The meta object literal for the 'Token' data type
`static EDataType` `UNSIGNED_BYTE` The meta object literal for the 'Unsigned Byte' data type
`static EDataType` `UNSIGNED_BYTE_OBJECT` The meta object literal for the 'Unsigned Byte Object' data type
`static EDataType` `UNSIGNED_INT` The meta object literal for the 'Unsigned Int' data type
`static EDataType` `UNSIGNED_INT_OBJECT` The meta object literal for the 'Unsigned Int Object' data type
`static EDataType` `UNSIGNED_LONG` The meta object literal for the 'Unsigned Long' data type
`static EDataType` `UNSIGNED_SHORT` The meta object literal for the 'Unsigned Short' data type
`static EDataType` `UNSIGNED_SHORT_OBJECT` The meta object literal for the 'Unsigned Short Object' data type
`static EClass` `XML_TYPE_DOCUMENT_ROOT` The meta object literal for the '`Document Root`' class
`static EAttribute` `XML_TYPE_DOCUMENT_ROOT__CDATA` The meta object literal for the 'CDATA' attribute feature
`static EAttribute` `XML_TYPE_DOCUMENT_ROOT__COMMENT` The meta object literal for the 'Comment' attribute feature
`static EAttribute` `XML_TYPE_DOCUMENT_ROOT__MIXED` The meta object literal for the 'Mixed' attribute list feature
`static EReference` `XML_TYPE_DOCUMENT_ROOT__PROCESSING_INSTRUCTION` The meta object literal for the 'Processing Instruction' containment reference feature
`static EAttribute` `XML_TYPE_DOCUMENT_ROOT__TEXT` The meta object literal for the 'Text' attribute feature
`static EReference` `XML_TYPE_DOCUMENT_ROOT__XMLNS_PREFIX_MAP` The meta object literal for the 'XMLNS Prefix Map' map feature
`static EReference` `XML_TYPE_DOCUMENT_ROOT__XSI_SCHEMA_LOCATION` The meta object literal for the 'XSI Schema Location' map feature

Field Detail

### ANY_TYPE

    static final EClass ANY_TYPE

  The meta object literal for the '`Any Type`' class.

  See Also:
    `AnyTypeImpl`, `XMLTypePackageImpl.getAnyType()`

### ANY_TYPE__MIXED

    static final EAttribute ANY_TYPE__MIXED

  The meta object literal for the 'Mixed' attribute list feature.

### ANY_TYPE__ANY

    static final EAttribute ANY_TYPE__ANY

  The meta object literal for the 'Any' attribute list feature.

### ANY_TYPE__ANY_ATTRIBUTE

    static final EAttribute ANY_TYPE__ANY_ATTRIBUTE

  The meta object literal for the 'Any Attribute' attribute list feature.

### PROCESSING_INSTRUCTION

    static final EClass PROCESSING_INSTRUCTION

  The meta object literal for the '`Processing Instruction`' class.

  See Also:
    `ProcessingInstructionImpl`, `XMLTypePackageImpl.getProcessingInstruction()`

### PROCESSING_INSTRUCTION__DATA

    static final EAttribute PROCESSING_INSTRUCTION__DATA

  The meta object literal for the 'Data' attribute feature.

### PROCESSING_INSTRUCTION__TARGET

    static final EAttribute PROCESSING_INSTRUCTION__TARGET

  The meta object literal for the 'Target' attribute feature.

### SIMPLE_ANY_TYPE

    static final EClass SIMPLE_ANY_TYPE

  The meta object literal for the '`Simple Any Type`' class.

  See Also:
    `SimpleAnyTypeImpl`, `XMLTypePackageImpl.getSimpleAnyType()`

### SIMPLE_ANY_TYPE__RAW_VALUE

    static final EAttribute SIMPLE_ANY_TYPE__RAW_VALUE

  The meta object literal for the 'Raw Value' attribute feature.

### SIMPLE_ANY_TYPE__VALUE

    static final EAttribute SIMPLE_ANY_TYPE__VALUE

  The meta object literal for the 'Value' attribute feature.

### SIMPLE_ANY_TYPE__INSTANCE_TYPE

    static final EReference SIMPLE_ANY_TYPE__INSTANCE_TYPE

  The meta object literal for the 'Instance Type' reference feature.

### XML_TYPE_DOCUMENT_ROOT

    static final EClass XML_TYPE_DOCUMENT_ROOT

  The meta object literal for the '`Document Root`' class.

  See Also:
    `XMLTypeDocumentRootImpl`, `XMLTypePackageImpl.getXMLTypeDocumentRoot()`

### XML_TYPE_DOCUMENT_ROOT__MIXED

    static final EAttribute XML_TYPE_DOCUMENT_ROOT__MIXED

  The meta object literal for the 'Mixed' attribute list feature.

### XML_TYPE_DOCUMENT_ROOT__XMLNS_PREFIX_MAP

    static final EReference XML_TYPE_DOCUMENT_ROOT__XMLNS_PREFIX_MAP

  The meta object literal for the 'XMLNS Prefix Map' map feature.

### XML_TYPE_DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

    static final EReference XML_TYPE_DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

  The meta object literal for the 'XSI Schema Location' map feature.

### XML_TYPE_DOCUMENT_ROOT__CDATA

    static final EAttribute XML_TYPE_DOCUMENT_ROOT__CDATA

  The meta object literal for the 'CDATA' attribute feature.

### XML_TYPE_DOCUMENT_ROOT__COMMENT

    static final EAttribute XML_TYPE_DOCUMENT_ROOT__COMMENT

  The meta object literal for the 'Comment' attribute feature.

### XML_TYPE_DOCUMENT_ROOT__TEXT

    static final EAttribute XML_TYPE_DOCUMENT_ROOT__TEXT

  The meta object literal for the 'Text' attribute feature.

### XML_TYPE_DOCUMENT_ROOT__PROCESSING_INSTRUCTION

    static final EReference XML_TYPE_DOCUMENT_ROOT__PROCESSING_INSTRUCTION

  The meta object literal for the 'Processing Instruction' containment reference feature.

### ANY_SIMPLE_TYPE

    static final EDataType ANY_SIMPLE_TYPE

  The meta object literal for the 'Any Simple Type' data type.

  See Also:
    `Object`, `XMLTypePackageImpl.getAnySimpleType()`

### ANY_URI

    static final EDataType ANY_URI

  The meta object literal for the 'Any URI' data type.

  See Also:
    `String`, `XMLTypePackageImpl.getAnyURI()`

### BASE64_BINARY

    static final EDataType BASE64_BINARY

  The meta object literal for the 'Base64 Binary' data type.

  See Also:
    `XMLTypePackageImpl.getBase64Binary()`

### BOOLEAN

    static final EDataType BOOLEAN

  The meta object literal for the 'Boolean' data type.

  See Also:
    `XMLTypePackageImpl.getBoolean()`

### BOOLEAN_OBJECT

    static final EDataType BOOLEAN_OBJECT

  The meta object literal for the 'Boolean Object' data type.

  See Also:
    `Boolean`, `XMLTypePackageImpl.getBooleanObject()`

### BYTE

    static final EDataType BYTE

  The meta object literal for the 'Byte' data type.

  See Also:
    `XMLTypePackageImpl.getByte()`

### BYTE_OBJECT

    static final EDataType BYTE_OBJECT

  The meta object literal for the 'Byte Object' data type.

  See Also:
    `Byte`, `XMLTypePackageImpl.getByteObject()`

### DATE

    static final EDataType DATE

  The meta object literal for the 'Date' data type.

  See Also:
    `XMLGregorianCalendar`, `XMLTypePackageImpl.getDate()`

### DATE_TIME

    static final EDataType DATE_TIME

  The meta object literal for the 'Date Time' data type.

  See Also:
    `XMLGregorianCalendar`, `XMLTypePackageImpl.getDateTime()`

### DECIMAL

    static final EDataType DECIMAL

  The meta object literal for the 'Decimal' data type.

  See Also:
    `BigDecimal`, `XMLTypePackageImpl.getDecimal()`

### DOUBLE

    static final EDataType DOUBLE

  The meta object literal for the 'Double' data type.

  See Also:
    `XMLTypePackageImpl.getDouble()`

### DOUBLE_OBJECT

    static final EDataType DOUBLE_OBJECT

  The meta object literal for the 'Double Object' data type.

  See Also:
    `Double`, `XMLTypePackageImpl.getDoubleObject()`

### DURATION

    static final EDataType DURATION

  The meta object literal for the 'Duration' data type.

  See Also:
    `Duration`, `XMLTypePackageImpl.getDuration()`

### ENTITIES

    static final EDataType ENTITIES

  The meta object literal for the 'ENTITIES' data type.

  See Also:
    `List`, `XMLTypePackageImpl.getENTITIES()`

### ENTITIES_BASE

    static final EDataType ENTITIES_BASE

  The meta object literal for the 'ENTITIES Base' data type.

  See Also:
    `List`, `XMLTypePackageImpl.getENTITIESBase()`

### ENTITY

    static final EDataType ENTITY

  The meta object literal for the 'ENTITY' data type.

  See Also:
    `String`, `XMLTypePackageImpl.getENTITY()`

### FLOAT

    static final EDataType FLOAT

  The meta object literal for the 'Float' data type.

  See Also:
    `XMLTypePackageImpl.getFloat()`

### FLOAT_OBJECT

    static final EDataType FLOAT_OBJECT

  The meta object literal for the 'Float Object' data type.

  See Also:
    `Float`, `XMLTypePackageImpl.getFloatObject()`

### GDAY

    static final EDataType GDAY

  The meta object literal for the 'GDay' data type.

  See Also:
    `XMLGregorianCalendar`, `XMLTypePackageImpl.getGDay()`

### GMONTH

    static final EDataType GMONTH

  The meta object literal for the 'GMonth' data type.

  See Also:
    `XMLGregorianCalendar`, `XMLTypePackageImpl.getGMonth()`

### GMONTH_DAY

    static final EDataType GMONTH_DAY

  The meta object literal for the 'GMonth Day' data type.

  See Also:
    `XMLGregorianCalendar`, `XMLTypePackageImpl.getGMonthDay()`

### GYEAR

    static final EDataType GYEAR

  The meta object literal for the 'GYear' data type.

  See Also:
    `XMLGregorianCalendar`, `XMLTypePackageImpl.getGYear()`

### GYEAR_MONTH

    static final EDataType GYEAR_MONTH

  The meta object literal for the 'GYear Month' data type.

  See Also:
    `XMLGregorianCalendar`, `XMLTypePackageImpl.getGYearMonth()`

### HEX_BINARY

    static final EDataType HEX_BINARY

  The meta object literal for the 'Hex Binary' data type.

  See Also:
    `XMLTypePackageImpl.getHexBinary()`

### ID

    static final EDataType ID

  The meta object literal for the 'ID' data type.

  See Also:
    `String`, `XMLTypePackageImpl.getID()`

### IDREF

    static final EDataType IDREF

  The meta object literal for the 'IDREF' data type.

  See Also:
    `String`, `XMLTypePackageImpl.getIDREF()`

### IDREFS

    static final EDataType IDREFS

  The meta object literal for the 'IDREFS' data type.

  See Also:
    `List`, `XMLTypePackageImpl.getIDREFS()`

### IDREFS_BASE

    static final EDataType IDREFS_BASE

  The meta object literal for the 'IDREFS Base' data type.

  See Also:
    `List`, `XMLTypePackageImpl.getIDREFSBase()`

### INT

    static final EDataType INT

  The meta object literal for the 'Int' data type.

  See Also:
    `XMLTypePackageImpl.getInt()`

### INTEGER

    static final EDataType INTEGER

  The meta object literal for the 'Integer' data type.

  See Also:
    `BigInteger`, `XMLTypePackageImpl.getInteger()`

### INT_OBJECT

    static final EDataType INT_OBJECT

  The meta object literal for the 'Int Object' data type.

  See Also:
    `Integer`, `XMLTypePackageImpl.getIntObject()`

### LANGUAGE

    static final EDataType LANGUAGE

  The meta object literal for the 'Language' data type.

  See Also:
    `String`, `XMLTypePackageImpl.getLanguage()`

### LONG

    static final EDataType LONG

  The meta object literal for the 'Long' data type.

  See Also:
    `XMLTypePackageImpl.getLong()`

### LONG_OBJECT

    static final EDataType LONG_OBJECT

  The meta object literal for the 'Long Object' data type.

  See Also:
    `Long`, `XMLTypePackageImpl.getLongObject()`

### NAME

    static final EDataType NAME

  The meta object literal for the 'Name' data type.

  See Also:
    `String`, `XMLTypePackageImpl.getName_()`

### NC_NAME

    static final EDataType NC_NAME

  The meta object literal for the 'NC Name' data type.

  See Also:
    `String`, `XMLTypePackageImpl.getNCName()`

### NEGATIVE_INTEGER

    static final EDataType NEGATIVE_INTEGER

  The meta object literal for the 'Negative Integer' data type.

  See Also:
    `BigInteger`, `XMLTypePackageImpl.getNegativeInteger()`

### NMTOKEN

    static final EDataType NMTOKEN

  The meta object literal for the 'NMTOKEN' data type.

  See Also:
    `String`, `XMLTypePackageImpl.getNMTOKEN()`

### NMTOKENS

    static final EDataType NMTOKENS

  The meta object literal for the 'NMTOKENS' data type.

  See Also:
    `List`, `XMLTypePackageImpl.getNMTOKENS()`

### NMTOKENS_BASE

    static final EDataType NMTOKENS_BASE

  The meta object literal for the 'NMTOKENS Base' data type.

  See Also:
    `List`, `XMLTypePackageImpl.getNMTOKENSBase()`

### NON_NEGATIVE_INTEGER

    static final EDataType NON_NEGATIVE_INTEGER

  The meta object literal for the 'Non Negative Integer' data type.

  See Also:
    `BigInteger`, `XMLTypePackageImpl.getNonNegativeInteger()`

### NON_POSITIVE_INTEGER

    static final EDataType NON_POSITIVE_INTEGER

  The meta object literal for the 'Non Positive Integer' data type.

  See Also:
    `BigInteger`, `XMLTypePackageImpl.getNonPositiveInteger()`

### NORMALIZED_STRING

    static final EDataType NORMALIZED_STRING

  The meta object literal for the 'Normalized String' data type.

  See Also:
    `String`, `XMLTypePackageImpl.getNormalizedString()`

### NOTATION

    static final EDataType NOTATION

  The meta object literal for the 'NOTATION' data type.

  See Also:
    `QName`, `XMLTypePackageImpl.getNOTATION()`

### POSITIVE_INTEGER

    static final EDataType POSITIVE_INTEGER

  The meta object literal for the 'Positive Integer' data type.

  See Also:
    `BigInteger`, `XMLTypePackageImpl.getPositiveInteger()`

### QNAME

    static final EDataType QNAME

  The meta object literal for the 'QName' data type.

  See Also:
    `QName`, `XMLTypePackageImpl.getQName()`

### SHORT

    static final EDataType SHORT

  The meta object literal for the 'Short' data type.

  See Also:
    `XMLTypePackageImpl.getShort()`

### SHORT_OBJECT

    static final EDataType SHORT_OBJECT

  The meta object literal for the 'Short Object' data type.

  See Also:
    `Short`, `XMLTypePackageImpl.getShortObject()`

### STRING

    static final EDataType STRING

  The meta object literal for the 'String' data type.

  See Also:
    `String`, `XMLTypePackageImpl.getString()`

### TIME

    static final EDataType TIME

  The meta object literal for the 'Time' data type.

  See Also:
    `XMLGregorianCalendar`, `XMLTypePackageImpl.getTime()`

### TOKEN

    static final EDataType TOKEN

  The meta object literal for the 'Token' data type.

  See Also:
    `String`, `XMLTypePackageImpl.getToken()`

### UNSIGNED_BYTE

    static final EDataType UNSIGNED_BYTE

  The meta object literal for the 'Unsigned Byte' data type.

  See Also:
    `XMLTypePackageImpl.getUnsignedByte()`

### UNSIGNED_BYTE_OBJECT

    static final EDataType UNSIGNED_BYTE_OBJECT

  The meta object literal for the 'Unsigned Byte Object' data type.

  See Also:
    `Short`, `XMLTypePackageImpl.getUnsignedByteObject()`

### UNSIGNED_INT

    static final EDataType UNSIGNED_INT

  The meta object literal for the 'Unsigned Int' data type.

  See Also:
    `XMLTypePackageImpl.getUnsignedInt()`

### UNSIGNED_INT_OBJECT

    static final EDataType UNSIGNED_INT_OBJECT

  The meta object literal for the 'Unsigned Int Object' data type.

  See Also:
    `Long`, `XMLTypePackageImpl.getUnsignedIntObject()`

### UNSIGNED_LONG

    static final EDataType UNSIGNED_LONG

  The meta object literal for the 'Unsigned Long' data type.

  See Also:
    `BigInteger`, `XMLTypePackageImpl.getUnsignedLong()`

### UNSIGNED_SHORT

    static final EDataType UNSIGNED_SHORT

  The meta object literal for the 'Unsigned Short' data type.

  See Also:
    `XMLTypePackageImpl.getUnsignedShort()`

### UNSIGNED_SHORT_OBJECT

    static final EDataType UNSIGNED_SHORT_OBJECT

  The meta object literal for the 'Unsigned Short Object' data type.

  See Also:
    `Integer`, `XMLTypePackageImpl.getUnsignedShortObject()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.